<!--
 * @Author: hanjinxiang && hanjinxiang@gosuncn.com
 * @Date: 2022-02-18 10:10:44
 * @LastEditors: hanjinxiang && hanjinxiang@gosuncn.com
 * @LastEditTime: 2022-11-09 10:06:22
 * @FilePath: \ims-component\compoents\README.md
 * @Description: 
-->
# 案管V5021组件

## Install
Using npm:

```js
    npm install ims-electronic-file-5021 --save
```
> 全局引用：在main.js中配置引用，目前内嵌2个组件：
> 1、智能阅卷组件 InterMark
> 2、卷宗导入组件 DossierImport

```js
    // main.js 示例
    import ims from 'ims-electronic-file-5021'; 
    Vue.use(ims);
    
    // test.vue
    // 智能阅卷组件 intelMarkingType：agzx(默认值)、zfkp、icp
    <InterMark ajbh="1" ajmc="测试" intelMarkingType="agzx"/>
    // 卷宗导入组件 dossierImportType：agzx(默认值)、zfkp
    <DossierImport ajbh="1" dossierImportType="agzx"/>
```

> 局部引用：在引用模块中引用

```js
    
    <template>
        <InterMark ajbh="A12121212112" ajmc="测试名称" intelMarkingType="agzx"/>
        <DossierImport ajbh="A12121212112" dossierImportType="agzx"/>
    </template>
    import {InterMark, DossierImport} from 'ims-electronic-file-5021';
    export default {
        components:{
            InterMark,
            DossierImport
        }
    }
```